%define major  0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d


Name:          openpgm
Version:       5.2.122
Release:       %mkrel 1
Summary:       An implementation of the PGM reliable multicast protocol
Group:         System/Libraries
License:       LGPLv2
URL:           http://openpgm.googlecode.com/
Source0:       http://openpgm.googlecode.com/files/libpgm-%{version}~dfsg.tar.xz
BuildRequires: python

%description
OpenPGM is an open source implementation of the Pragmatic General
Multicast (PGM) specification in RFC 3208.

%package -n %{libname}
Summary:       Library files for %{name}
Group:         System/Libraries

%description -n %{libname}
This package contains OpenPGM libraries.

%package -n %{devname}
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains OpenPGM related development libraries and header files.

%prep
%setup -q -n libpgm-%{version}~dfsg/%{name}/pgm

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -regex ".*\(a\|la\)$" -delete

%files -n %{libname}
%doc COPYING LICENSE
%{_libdir}/libpgm*.so.%{major}
%{_libdir}/libpgm*.so.%{major}.*

%files -n %{devname}
%doc examples/
%{_includedir}/*
%{_libdir}/libpgm*.so
%{_libdir}/pkgconfig/%{name}-5.2.pc


%changelog
* Thu Jan 07 2016 bb <bb>< 5.2.122-1pclos2016
- import from france
